package com.jjt.rz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.rz.domain.TwinCalcHourRz;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 染整线小时工艺参数Mapper接口
 *
 * @author wukai
 * @date 2025-06-03
 */
public interface TwinCalcHourRzMapper extends BaseMapper<TwinCalcHourRz> {
    /**
     * 查询染整线小时工艺参数
     *
     * @param id 染整线小时工艺参数主键
     * @return 染整线小时工艺参数
     */
    public TwinCalcHourRz selectTwinCalcHourRzById(Long id);

    /**
     * 查询染整线小时工艺参数列表
     *
     * @param twinCalcHourRz 染整线小时工艺参数
     * @return 染整线小时工艺参数集合
     */
    public List<TwinCalcHourRz> selectTwinCalcHourRzList(TwinCalcHourRz twinCalcHourRz);

    /**
     * 新增染整线小时工艺参数
     *
     * @param twinCalcHourRz 染整线小时工艺参数
     * @return 结果
     */
    public int insertTwinCalcHourRz(TwinCalcHourRz twinCalcHourRz);

    /**
     * 修改染整线小时工艺参数
     *
     * @param twinCalcHourRz 染整线小时工艺参数
     * @return 结果
     */
    public int updateTwinCalcHourRz(TwinCalcHourRz twinCalcHourRz);

    /**
     * 删除染整线小时工艺参数
     *
     * @param id 染整线小时工艺参数主键
     * @return 结果
     */
    public int deleteTwinCalcHourRzById(Long id);

    /**
     * 批量删除染整线小时工艺参数
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinCalcHourRzByIds(Long[] ids);

    /**
     * 删除指定日期指定小时数据
     *
     * @param date 日期
     * @param hour 小时
     */
    void deleteTwinCalcHourRz(@Param("date") String date, @Param("hour") int hour);

    /**
     * 查询最后一条记录
     * @return 结果
     */
    TwinCalcHourRz lastRecord();
}
